Bug 473262 - Mouse cursor not movable when using tablet instead of mouse
Mouse cursor not movable when using tablet instead of mouse
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gdm (Show other bugs)
5.2
All Linux
high Severity high
: rc
: ---
Assigned To: Ray Strode [halfline]
desktop-bugs@redhat.com
:
Depends On: 248752
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 08:01 EST by Olivier Fourdan
Modified: 2013-03-03 21:47 EST (History)
6 users (show)

See Also:
Fixed In Version: 2.18.4-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:28:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that fixes the issue, taken from upstream commit (4.50 KB, patch)
2008-11-27 08:01 EST, Olivier Fourdan
no flags Details | Diff

  None (edit)
Description Olivier Fourdan 2008-11-27 08:01:58 EST
Created attachment 324875 [details]
Patch that fixes the issue, taken from upstream commit

+++ This bug was initially created as a clone of Bug #248752 +++

This bug also affects Red Hat EL 5.x

Description of problem:

Using a tablet in gdm with accessibility turned on breaks pointer movement.

How reproducible:

100% reproducible

Steps to reproduce:

1) Install a USB Wacom tablet on EL5
2) Turn accessibility in gdm
3) Try to move the pointer in gdm using the pen

Actual result:

The pointer jumps all around

Expected result:

The pointer follows the pen movement

Additional info:

This is bugzilla upstream:

   http://bugzilla.gnome.org/show_bug.cgi?id=457998

Fixed in svn rev. 5155:

   http://svn.gnome.org/viewvc/gdm?view=revision&revision=5155
Comment 12 Chris Ward 2009-07-03 14:14:17 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 15 errata-xmlrpc 2009-09-02 07:28:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1364.html

Note You need to log in before you can comment on or make changes to this bug.